commit:     d17269a0f00081f2078585bdf1de000b2cce5569
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Oct  9 17:16:04 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct  9 18:06:38 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d17269a0

www-apps/jekyll: Bump to 3.6.0

 www-apps/jekyll/Manifest                           |  1 +
 .../jekyll/files/jekyll-3.6.0-test-helper.patch    | 26 +++++++
 www-apps/jekyll/jekyll-3.6.0.ebuild                | 79 ++++++++++++++++++++++
 3 files changed, 106 insertions(+)

diff --git a/www-apps/jekyll/Manifest b/www-apps/jekyll/Manifest
index 96daba22293..ac8a0079e2d 100644
--- a/www-apps/jekyll/Manifest
+++ b/www-apps/jekyll/Manifest
@@ -1 +1,2 @@
 DIST jekyll-3.2.1.tar.gz 1010949 SHA256 
6c1eb0330a7dbbf6d874052c7a2b0108b0a0d4148dc888a82192f80d23796072 SHA512 
36360e852b8438ae12a64320514204c7b0f8bc53d6cb04f6024a25d5294f562c37c1464fc0e632502814d8e2dd0900877b48c3ccb0046d7c6a145bb1dae37b48
 WHIRLPOOL 
5daa369ebd5066db37712ad0bea476c977d8c977ec8125a9c0bec11c3fb48f95bcebbc502f950ab025d90bd35b1f5d3c322c7434c132ca6da7aeba4ca9a1cf7d
+DIST jekyll-3.6.0.tar.gz 737199 SHA256 
2139b7584b3e14548649e3ca2134681eb977392355fb5c404b12f139423bbf76 SHA512 
87c17c31cda44d040308079aacbcdba1e704186a69d64c1240a44960f7a79e74b35bb230be7c14419bb89843cfbf48ecf3601a8018df2255deebc0afdb4fcd86
 WHIRLPOOL 
fb27e8522a3f2cdd41a4099ff08f86022f9a45b807e85119f6fb5eeb1d9b280c6915f93ede9d0bf4e3202bd936e15b09a0ba5a59ab7e0bf51f5b383d5bc31905

diff --git a/www-apps/jekyll/files/jekyll-3.6.0-test-helper.patch 
b/www-apps/jekyll/files/jekyll-3.6.0-test-helper.patch
new file mode 100644
index 00000000000..5493f5a9596
--- /dev/null
+++ b/www-apps/jekyll/files/jekyll-3.6.0-test-helper.patch
@@ -0,0 +1,26 @@
+--- a/test/helper.rb   2017-09-21 23:30:21.000000000 +0200
++++ b/test/helper.rb   2017-10-09 18:23:11.677090278 +0200
+@@ -14,12 +13,0 @@ end
+-if ENV["CI"]
+-  require "simplecov"
+-  SimpleCov.start
+-else
+-  require File.expand_path("simplecov_custom_profile", __dir__)
+-  SimpleCov.start "gem" do
+-    add_filter "/vendor/gem"
+-    add_filter "/vendor/bundle"
+-    add_filter ".bundle"
+-  end
+-end
+-
+@@ -30,2 +17,0 @@ require "minitest/autorun"
+-require "minitest/reporters"
+-require "minitest/profile"
+@@ -46,7 +31,0 @@ include Jekyll
+-
+-# Report with color.
+-Minitest::Reporters.use! [
+-  Minitest::Reporters::DefaultReporter.new(
+-    :color => true
+-  ),
+-]

diff --git a/www-apps/jekyll/jekyll-3.6.0.ebuild 
b/www-apps/jekyll/jekyll-3.6.0.ebuild
new file mode 100644
index 00000000000..ab46bff8890
--- /dev/null
+++ b/www-apps/jekyll/jekyll-3.6.0.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22"
+
+inherit ruby-fakegem
+
+RUBY_FAKEGEM_EXTRADOC="README.markdown History.markdown"
+RUBY_FAKEGEM_EXTRAINSTALL="features"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_BINDIR="exe"
+
+DESCRIPTION="A simple, blog aware, static site generator"
+HOMEPAGE="http://jekyllrb.com https://github.com/jekyll/jekyll";
+SRC_URI="https://github.com/jekyll/${PN}/archive/v${PV}.tar.gz  -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend "
+       >=dev-ruby/addressable-2.4
+       >=dev-ruby/colorator-1.0
+       >=dev-ruby/kramdown-1.14
+       >=dev-ruby/liquid-4.0:4
+       >=dev-ruby/mercenary-0.3.3
+       >=dev-ruby/pathutil-0.9
+       >=dev-ruby/safe_yaml-1.0
+       >=dev-ruby/rouge-1.7:0
+       >=www-apps/jekyll-sass-converter-1.0
+       >=www-apps/jekyll-watch-1.1
+"
+
+ruby_add_bdepend "
+       test? (
+               >=dev-ruby/classifier-reborn-2.1.0
+               dev-ruby/launchy
+               >=dev-ruby/pygments_rb-0.6.0
+               >=dev-ruby/rdiscount-2.0
+               >=dev-ruby/redcarpet-3.2.3
+               dev-ruby/rspec-mocks
+               >=dev-ruby/shoulda-3
+               dev-ruby/test-unit:2
+               www-apps/jekyll-coffeescript
+       )
+"
+
+all_ruby_prepare() {
+       eapply "${FILESDIR}"/jekyll-3.6.0-test-helper.patch
+
+       # Drop tests requiring bundler
+       sed -i -e '/bundle_message/d' test/test_new_command.rb || die
+       rm test/test_plugin_manager.rb || die
+
+       # Replace git command in gemspec
+       sed -i 's/git ls-files -z/find -not -type d -print0/' 
$RUBY_FAKEGEM_GEMSPEC || die
+
+       # FIXMEs:
+       # fails to find fixtures
+       rm test/test_theme.rb || die
+       rm test/test_theme_assets_reader.rb || die
+       sed -i -e '/^    should.*theme/,/^    end$/d' \
+               -e '/^      should.*theme/,/^      end$/d' test/test_site.rb || 
die
+       # partially requires 'toml'
+       rm test/test_configuration.rb || die
+       # pygments tests fail because of line numbering
+       sed -i -e '/^  context.*pygments/,/^  end$/d' test/test_tags.rb || die
+       sed -i -e '/^    context.*pygments/,/^    end$/d' 
test/test_redcarpet.rb || die
+}
+
+src_test() {
+       local -x JEKYLL_NO_BUNDLER_REQUIRE=true
+
+       ruby-ng_src_test
+}

Reply via email to